using Kivii;
using Kivii.DataAnnotations;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Njust.Pdf.Analysis.Entities
{
    [Alias(Configs.TableKeywordName)]
    [Api(Description = "关键词表")]
    public class Keyword : EntityWithMetadata
    {
        [ApiMember(Description = "关键词")]
        [Required]
        public string Title { get; set; }

        [ApiMember(Description = "语言")]
        public string Language { get; set; }

        [ApiMember(Description = "所属领域")]
        public string DomainName { get; set; }

        [DefaultEmptyGuid]
        public Guid AnalyseKvid { get; set; }
    }
}
